Bug 5161 (int-139790)

Summary: Fix some compilation warnings in GNOME version
Product: [Maemo Official Applications] Email Reporter: Javier Jardón <javierjc1982>
Component: GeneralAssignee: unassigned <nobody>
Status: RESOLVED FIXED QA Contact: modest-bugs
Severity: minor    
Priority: Low CC: andre_klapper, svillar
Version: 5.0/(2.2009.51-1)Keywords: patch
Target Milestone: 5.0/(10.2010.19-1)   
Hardware: All   
OS: Linux   
Attachments: Fix compilation warnings
Fix some compilation warnings in GNOME version.v2

Description Javier Jardón (reporter) 2009-09-18 17:40:19 UTC
Here a little patch to fix some compilation warnings in the gnome version of
modest
Comment 1 Javier Jardón (reporter) 2009-09-18 17:41:03 UTC
Created an attachment (id=1365) [details]
Fix compilation warnings
Comment 2 Sergio Villar Senin 2009-09-30 13:11:43 UTC
Javier why not just removing the unused code instead of #ifdef 0
Comment 3 Javier Jardón (reporter) 2009-09-30 16:34:29 UTC
Created an attachment (id=1388) [details]
Fix some compilation warnings in GNOME version.v2

I've removed unused as you suggested
Comment 4 Sergio Villar Senin 2009-11-03 13:38:10 UTC
I have finally applied your patch in master. I had to remove some parts of it
as they were no longer valid (after removing gnome/ directory)

Fixed in
master 9102255b85bbf4588d9e8fb41d404e58c5b15174
Comment 5 Andre Klapper maemo.org 2009-11-13 15:41:50 UTC
This has been fixed in package
modest 3.1.12+0m5
which is part of the internal build version
2009.46-16
(Note that 2009 is the year and the number after is the week.)

Any public update released with or after this build version will include the
fix.
Please verify that the new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.
Comment 6 Andre Klapper maemo.org 2009-11-19 14:10:16 UTC
(In reply to comment #5)
> This has been fixed in package
> modest 3.1.12+0m5

Not true...
Comment 7 Andre Klapper maemo.org 2010-03-15 20:55:55 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).